### Method

# EDataServerUI4 CredentialsPrompter set_auto_prompt_disabled_for

since: 3.16

#### Declaration [src]

    void
    e_credentials_prompter_set_auto_prompt_disabled_for (
      ECredentialsPrompter* prompter,
      ESource* source,
      gboolean is_disabled
    )

#### Description [src]

Sets whether the auto-prompt should be disabled for the given `source`. All sources can be auto-prompted by default. This is a complementary value for the ECredentialsPrompter::auto-prompt property.

This value does not influence direct calls of e_credentials_prompter_prompt().

Available since: 3.16

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

`is_disabled`

  Type: `gboolean`

  Whether the auto-prompt should be disabled for this `source`.